> For the complete documentation index, see [llms.txt](https://docs.0xkyc.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.0xkyc.id/developer-guides/client-or-server-guide/0xkyc-sanctions-aml/checking-for-sbt.md).

# Checking for SBT

{% hint style="info" %}
The SBT (Soul Bound Token) will be minted if a user has gone through and scanned their ID document with the 0xKYC app.
{% endhint %}

If you want to check if a user has gone through and is verified by 0xKYC, call the method `.hasSoul()` to check a wallet for soulbound token:

```javascript
const soulbound = new web3.eth.Contract(abi, soulboundContractAddress);
const hasSoul = await soulbound.methods.hasSoul(walletAddress).call();
```

Or call our "**`GET /api/v1/hasSoul`**" API directly [here](https://app.gitbook.com/o/fDCD07bvM58xbmZvN3nL/s/yX8UjIeZe2T6a7dmvUvI/~/changes/9/developer-guides/public-apis#apis):

{% content-ref url="/pages/I1cb6YyupQZqjo7Rq7Ze" %}
[Public APIs](/developer-guides/public-apis.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.0xkyc.id/developer-guides/client-or-server-guide/0xkyc-sanctions-aml/checking-for-sbt.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
